<!--
  @File Name          : datatable.html
  @Description        : 
  @Author             : ChangeMeIn@UserSettingsUnder.SFDoc
  @Group              : 
  @Last Modified By   : ChangeMeIn@UserSettingsUnder.SFDoc
  @Last Modified On   : 18/04/2020 à 19:37:31
  @Modification Log   : 
  Ver       Date            Author      		    Modification
  1.0    18/04/2020   ChangeMeIn@UserSettingsUnder.SFDoc     Initial Version
-->
<template>  
      
    <lightning-card title = "Search Accounts" icon-name = "custom:custom63">  
  
        <div class = "slds-m-around_medium">  
  
            <lightning-input type = "search" onchange = {handleKeyChange} class = "slds-m-bottom_small" label = "Search" >  
            </lightning-input>  
  
            <template if:true = {accounts}>  
                  
                <div style="height: 300px;">  
  
                    <lightning-datatable key-field="Id"  
                                         data={accounts}  
                                         columns={columns}  
                                         hide-checkbox-column="true"  
                                         show-row-number-column="true"  
                                         onrowaction={callRowAction}>  
                    </lightning-datatable>  
  
                </div>                   
      
            </template>  
      
            <template if:true = {error}>  
  
                {error}>  
                  
            </template>  
  
        </div>  
  
    </lightning-card>  
  
</template>  